安装 botocore - Amazon Elastic File System
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

安装 botocore

亚马逊 EFS 客户端使用botocore将文件系统的挂载状态发送到亚马逊 CloudWatch 日志。有关更多信息,请参阅 监控 EFS 文件系统挂载状态。此部分介绍如何进行安装和升级botocore在 Amazon EC2 实例上。

  1. 运行以下命令安装 wget

    sudo yum -y install wget
  2. 使用以下脚本安装相应版本的pip程序包管理器。

    if [[ "$(python3 -V 2>&1)" =~ ^(Python 3.6.*) ]]; then sudo wget https://bootstrap.pypa.io/pip/3.6/get-pip.py -O /tmp/get-pip.py elif [[ "$(python3 -V 2>&1)" =~ ^(Python 3.5.*) ]]; then sudo wget https://bootstrap.pypa.io/pip/3.5/get-pip.py -O /tmp/get-pip.py elif [[ "$(python3 -V 2>&1)" =~ ^(Python 3.4.*) ]]; then sudo wget https://bootstrap.pypa.io/pip/3.4/get-pip.py -O /tmp/get-pip.py else sudo wget https://bootstrap.pypa.io/get-pip.py -O /tmp/get-pip.py fi
  3. 运行以下命令安装botocore.

    sudo python3 /tmp/get-pip.py sudo pip3 install botocore

    或者

    sudo /usr/local/bin/pip3 install botocore
  1. 运行以下命令安装wget.

    sudo apt-get update sudo apt-get -y install wget
  2. 使用以下脚本安装相应版本的pip程序包管理器。

    if echo $(python3 -V 2>&1) | grep -e "Python 3.6"; then sudo wget https://bootstrap.pypa.io/pip/3.6/get-pip.py -O /tmp/get-pip.py elif echo $(python3 -V 2>&1) | grep -e "Python 3.5"; then sudo wget https://bootstrap.pypa.io/pip/3.5/get-pip.py -O /tmp/get-pip.py elif echo $(python3 -V 2>&1) | grep -e "Python 3.4"; then sudo wget https://bootstrap.pypa.io/pip/3.4/get-pip.py -O /tmp/get-pip.py else sudo apt-get -y install python3-distutils sudo wget https://bootstrap.pypa.io/get-pip.py -O /tmp/get-pip.py fi
  3. 运行以下命令安装botocore.

    sudo python3 /tmp/get-pip.py sudo pip3 install botocore

    或者

    sudo /usr/local/bin/pip3 install botocore

    如果你正在安装botocore在 Debian10 或 Ubuntu20 上,使用以下命令安装botocore在指定的目标文件夹中。

    • 对于 Debian10:

      sudo python3 /tmp/get-pip.py sudo pip3 install --target /usr/lib/python3/dist-packages botocore
    • 对于 Ubuntu20:

      sudo /usr/local/bin/pip3 install --target /usr/lib/python3/dist-packages botocore
  • 运行以下命令安装botocore在 Mac 实例上。

    sudo pip3 install botocore

升级 botocore

要升级到最新兼容的 botocore 版本,请使用--upgrade选项。例如:

sudo pip3 install botocore --upgrade